package com.yihu.wlyy.entity.message;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 手机短信
 *
 * @author George
 */
@Entity
@Table(name = "wlyy_sms")
public class SMS extends IdEntity {
    private static final long serialVersionUID = -1438212901585781994L;

    private String mobile;// 手机号
    private String ip;// ip地址
    private Integer type;// 消息类型：1微信端注册，2微信端找回密码，3医生端找回密码，4患者登录，5医生登录，6代预约（发送给居民）  10患者添加家庭关系
    private String captcha;// 验证码
    private String content;// 消息内容
    private Date deadline;// 过期时间
    private Integer status;// 状态，0未发送，1已发送
    private Date czrq;
    private String userCode;//用户标示
    private Integer userType;//用户类型
    private String town; //所属区
    private String hospital;//所属机构，未签约用居民地址

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public String getTown() {
        return town;
    }

    public void setTown(String town) {
        this.town = town;
    }

    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getCaptcha() {
        return captcha;
    }

    public void setCaptcha(String captcha) {
        this.captcha = captcha;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getDeadline() {
        return deadline;
    }

    public void setDeadline(Date deadline) {
        this.deadline = deadline;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }

}
